Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LockingSystemStats Method (Boolean)
DatabaseEnvironment Class See Also Send Feedback

The locking subsystem statistics

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public LockStats LockingSystemStats(
    	bool clearStats
    )

Visual Basic (Declaration)
    Public Function LockingSystemStats ( _
    	clearStats As Boolean _
    ) As LockStats

Visual C++
    public:
    LockStats^ LockingSystemStats(
    	bool clearStats
    )

#### Parameters

clearStats
  Type: System..::.Boolean
  If true, reset statistics after returning their values.

#### Return Value

The locking subsystem statistics

# See Also

DatabaseEnvironment Class
LockingSystemStats Overload
BerkeleyDB Namespace